Bug 382471 - crash during setup
crash during setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
8
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 409561 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 09:11 EST by Jakub 'Livio' Rusinek
Modified: 2007-12-15 12:51 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 12:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xfce4-panel backtrace from gdb (3.29 KB, text/plain)
2007-11-14 09:11 EST, Jakub 'Livio' Rusinek
no flags Details

  None (edit)
Description Jakub 'Livio' Rusinek 2007-11-14 09:11:02 EST
Description of problem:
when i was configuring panel (concrete: deleting one of two panels) it did crashed.

Version-Release number of selected component (if applicable):
xfce4-panel-4.4.1-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. run xfce4 session
2. select panel from xfce4 settings window
3. select one panel and click on the subtract icon
  
Actual results:
panel crashes.

Expected results:
panel deletes himself.

Additional info:
i'm attaching the backtrace from gdb.
Comment 1 Jakub 'Livio' Rusinek 2007-11-14 09:11:02 EST
Created attachment 258051 [details]
xfce4-panel backtrace from gdb
Comment 2 Kevin Fenzi 2007-11-14 15:52:03 EST
Very odd. I will try and duplicate this here... 

How many panels did you have before subtracting one caused the crash?

Are you using a i386 or a x86_64 install?

Does this happen all the time? Or is it sporadic?
Comment 3 Jakub 'Livio' Rusinek 2007-11-14 16:00:36 EST
1: It was default XFCE config - 2 panels. 
2: i386
3: I wrote:

[[ How reproducible:
Always ]]
Comment 4 Kevin Fenzi 2007-11-14 17:03:24 EST
This looks like it might be this upstream bug: 

http://bugzilla.xfce.org/show_bug.cgi?id=3496

I have created some new F-8 i386 packages with this fix applied... 

Can you try applying these and see if it fixes the crash for you?

Here's the link to the scratch f8 build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=241930
Comment 5 Kevin Fenzi 2007-12-03 17:46:38 EST
*** Bug 409561 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Fenzi 2007-12-03 17:48:09 EST
This bug is fixed in the upcoming 4.4.2 release. 

Hopefully it will be hitting updates-testing tomorrow and pushed out for stable
updates later in the week. 

Comment 7 Jakub 'Livio' Rusinek 2007-12-04 10:24:42 EST
I don't use XFCE usually. Just filed a bug ;) .
Comment 8 Fedora Update System 2007-12-12 14:51:19 EST
xfprint-4.4.2-1.fc8, xfce-mcs-manager-4.4.2-1.fc8, xfce4-cpugraph-plugin-0.4.0-2.fc8, xfdesktop-4.4.2-1.fc8, xfce-mcs-plugins-4.4.2-1.fc8, xfwm4-themes-4.4.2-1.fc8, libxfcegui4-4.4.2-1.fc8, xfce4-places-plugin-1.0.0-2.fc8, mousepad-0.2.13-1.fc8, xfce4-modemlights-plugin-0.1.3.99-2.fc8, xfwm4-4.4.2-1.fc8, Thunar-0.9.0-2.fc8, xfce4-panel-4.4.2-1.fc8, xfce4-weather-plugin-0.6.2-2.fc8, xfce4-notes-plugin-1.6.0-2.fc8, Terminal-0.2.8-2.fc8, exo-0.3.4-1.fc8, thunar-volman-0.2.0-1.fc8, xfce4-fsguard-plugin-0.4.0-2.fc8, xfce4-sensors-plugin-0.10.99.2-3.fc8, orage-4.4.2-1.fc8, xfce4-mixer-4.4.2-1.fc8, xfce-utils-4.4.2-1.fc8, xfce4-session-4.4.2-1.fc8, xfce4-appfinder-4.4.2-1.fc8, xfce4-icon-theme-4.4.2-1.fc8, gtk-xfce-engine-2.4.2-1.fc8, libxfce4mcs-4.4.2-1.fc8, libxfce4util-4.4.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfprint xfce-mcs-manager xfce4-cpugraph-plugin xfdesktop xfce-mcs-plugins xfwm4-themes libxfcegui4 xfce4-places-plugin mousepad xfce4-modemlights-plugin xfwm4 Thunar xfce4-panel xfce4-weather-plugin xfce4-notes-plugin Terminal exo thunar-volman xfce4-fsguard-plugin xfce4-sensors-plugin orage xfce4-mixer xfce-utils xfce4-session xfce4-appfinder xfce4-icon-theme gtk-xfce-engine libxfce4mcs libxfce4util'
Comment 9 Fedora Update System 2007-12-12 14:54:05 EST
xfce4-places-plugin-1.0.0-2.fc7, xfce-mcs-plugins-4.4.2-1.fc7, libxfcegui4-4.4.2-1.fc7, xfce4-sensors-plugin-0.10.99.2-3.fc7, xfce4-fsguard-plugin-0.4.0-2.fc7, xfce-utils-4.4.2-1.fc7, exo-0.3.4-1.fc7, libxfce4mcs-4.4.2-1.fc7, xfce4-modemlights-plugin-0.1.3.99-2.fc7, Terminal-0.2.8-2.fc7, xfce4-weather-plugin-0.6.2-2.fc7, xfdesktop-4.4.2-1.fc7, Thunar-0.9.0-2.fc7, xfwm4-themes-4.4.2-1.fc7, xfce4-notes-plugin-1.6.0-2.fc7, xfwm4-4.4.2-1.fc7, xfce4-session-4.4.2-1.fc7, xfce4-panel-4.4.2-1.fc7, libxfce4util-4.4.2-1.fc7, xfce4-cpugraph-plugin-0.4.0-2.fc7, thunar-volman-0.2.0-1.fc7, orage-4.4.2-1.fc7, xfce4-mixer-4.4.2-1.fc7, xfprint-4.4.2-1.fc7, mousepad-0.2.13-1.fc7, xfce4-appfinder-4.4.2-1.fc7, xfce4-icon-theme-4.4.2-1.fc7, gtk-xfce-engine-2.4.2-1.fc7, xfce-mcs-manager-4.4.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-places-plugin xfce-mcs-plugins libxfcegui4 xfce4-sensors-plugin xfce4-fsguard-plugin xfce-utils exo libxfce4mcs xfce4-modemlights-plugin Terminal xfce4-weather-plugin xfdesktop Thunar xfwm4-themes xfce4-notes-plugin xfwm4 xfce4-session xfce4-panel libxfce4util xfce4-cpugraph-plugin thunar-volman orage xfce4-mixer xfprint mousepad xfce4-appfinder xfce4-icon-theme gtk-xfce-engine xfce-mcs-manager'
Comment 10 Fedora Update System 2007-12-15 12:50:59 EST
xfce4-places-plugin-1.0.0-2.fc7, xfce-mcs-plugins-4.4.2-1.fc7, libxfcegui4-4.4.2-1.fc7, xfce4-sensors-plugin-0.10.99.2-3.fc7, xfce4-fsguard-plugin-0.4.0-2.fc7, xfce-utils-4.4.2-1.fc7, exo-0.3.4-1.fc7, libxfce4mcs-4.4.2-1.fc7, xfce4-modemlights-plugin-0.1.3.99-2.fc7, Terminal-0.2.8-2.fc7, xfce4-weather-plugin-0.6.2-2.fc7, xfdesktop-4.4.2-1.fc7, Thunar-0.9.0-2.fc7, xfwm4-themes-4.4.2-1.fc7, xfce4-notes-plugin-1.6.0-2.fc7, xfwm4-4.4.2-1.fc7, xfce4-session-4.4.2-1.fc7, xfce4-panel-4.4.2-1.fc7, libxfce4util-4.4.2-1.fc7, xfce4-cpugraph-plugin-0.4.0-2.fc7, thunar-volman-0.2.0-1.fc7, orage-4.4.2-1.fc7, xfce4-mixer-4.4.2-1.fc7, xfprint-4.4.2-1.fc7, mousepad-0.2.13-1.fc7, xfce4-appfinder-4.4.2-1.fc7, xfce4-icon-theme-4.4.2-1.fc7, gtk-xfce-engine-2.4.2-1.fc7, xfce-mcs-manager-4.4.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2007-12-15 12:51:47 EST
xfprint-4.4.2-1.fc8, xfce-mcs-manager-4.4.2-1.fc8, xfce4-cpugraph-plugin-0.4.0-2.fc8, xfdesktop-4.4.2-1.fc8, xfce-mcs-plugins-4.4.2-1.fc8, xfwm4-themes-4.4.2-1.fc8, libxfcegui4-4.4.2-1.fc8, xfce4-places-plugin-1.0.0-2.fc8, mousepad-0.2.13-1.fc8, xfce4-modemlights-plugin-0.1.3.99-2.fc8, xfwm4-4.4.2-1.fc8, Thunar-0.9.0-2.fc8, xfce4-panel-4.4.2-1.fc8, xfce4-weather-plugin-0.6.2-2.fc8, xfce4-notes-plugin-1.6.0-2.fc8, Terminal-0.2.8-2.fc8, exo-0.3.4-1.fc8, thunar-volman-0.2.0-1.fc8, xfce4-fsguard-plugin-0.4.0-2.fc8, xfce4-sensors-plugin-0.10.99.2-3.fc8, orage-4.4.2-1.fc8, xfce4-mixer-4.4.2-1.fc8, xfce-utils-4.4.2-1.fc8, xfce4-session-4.4.2-1.fc8, xfce4-appfinder-4.4.2-1.fc8, xfce4-icon-theme-4.4.2-1.fc8, gtk-xfce-engine-2.4.2-1.fc8, libxfce4mcs-4.4.2-1.fc8, libxfce4util-4.4.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.